Module SQL_業績計算系統
    Friend Sub SQL_業績主表3()
        ConnOpen()
        SQL1 = "SELECT     LEFT(銷售控制表.單號, 2) AS 編號, QQ.姓名, SUM(銷售控制表.銷貨總額) AS 銷貨總額, SUM(銷售控制表.運費) 
                           AS 成本, SUM(銷售控制表.管銷費用) AS 管銷, SUM(銷售控制表.運費) AS 運費, SUM(銷售控制表.運費) AS [稅額(2.5%)], SUM(銷售控制表.運費) AS [稅額(發票)],
                           SUM(銷售控制表.運費) AS [其他(傭金)], SUM(銷售控制表.運費) AS [手續費(刷卡)], SUM(銷售控制表.運費) AS 毛利, 
                           SUM(銷售控制表.運費) AS 獎金, 銷售控制表.獎金基礎, 業績機算基礎.階級1, 業績機算基礎.比例1, 
                           業績機算基礎.階級2, 業績機算基礎.比例2, 業績機算基礎.階級3, 業績機算基礎.比例3, 業績機算基礎.階級4, 
                           業績機算基礎.比例4, 業績機算基礎.階級5, 業績機算基礎.比例5, 業績機算基礎.階級6, 業績機算基礎.比例6, 
                           業績機算基礎.階級7, 業績機算基礎.比例7, 業績機算基礎.階級8, 業績機算基礎.比例8, 業績機算基礎.階級9, 
                           業績機算基礎.比例9, 業績機算基礎.階級10, 業績機算基礎.比例10
                FROM       銷售控制表 INNER JOIN
                           業績機算基礎 ON 銷售控制表.獎金基礎 = 業績機算基礎.獎金計算 LEFT OUTER JOIN
                          (SELECT  舊編, 姓名
                           FROM    人事資料表) AS QQ ON LEFT(銷售控制表.單號, 2) = QQ.舊編 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                 WHERE    (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND
                          (銷售控制表.轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                                       '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           銷售控制表.單號 LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   LEFT(銷售控制表.單號, 2), QQ.姓名, 銷售控制表.獎金基礎, 業績機算基礎.階級1, 業績機算基礎.比例1, 
                           業績機算基礎.階級2, 業績機算基礎.比例2, 業績機算基礎.階級3, 業績機算基礎.比例3, 業績機算基礎.階級4, 
                           業績機算基礎.比例4, 業績機算基礎.階級5, 業績機算基礎.比例5, 業績機算基礎.階級6, 業績機算基礎.比例6, 
                           業績機算基礎.階級7, 業績機算基礎.比例7, 業績機算基礎.階級8, 業績機算基礎.比例8, 業績機算基礎.階級9, 
                           業績機算基礎.比例9, 業績機算基礎.階級10, 業績機算基礎.比例10
                ORDER BY   編號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績主表2()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.單號 AS 編號, QQ.姓名, SUM(銷售控制表.運費) AS 銷貨總額, SUM(銷售控制表.運費) AS 成本, 銷售控制表.管銷費用, 
                           SUM(銷售控制表.運費) AS 運費, SUM(銷售控制表.運費) AS [稅額(2.5%)], SUM(銷售控制表.運費) AS [稅額(發票)], SUM(銷售控制表.運費) AS [其他(傭金)], 
                           SUM(銷售控制表.運費) AS [手續費(刷卡)], SUM(銷售控制表.運費) AS 毛利, SUM(銷售控制表.運費) AS 獎金, 
                           銷售控制表.獎金基礎, 客戶資料表.名稱, 客戶資料表.地址
                FROM       銷售控制表 INNER JOIN
                           客戶資料表 ON 銷售控制表.客戶編號 = 客戶資料表.舊編 LEFT OUTER JOIN
                          (SELECT  舊編, 姓名
                           FROM    人事資料表) AS QQ ON LEFT(銷售控制表.單號, 2) = QQ.舊編 LEFT OUTER JOIN
                           銷售明細表 ON 銷售控制表.單號 = 銷售明細表.單號 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND
                          (銷售控制表.轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                                         '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           銷售控制表.單號 LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   銷售控制表.單號, QQ.姓名, 銷售控制表.獎金基礎, 客戶資料表.名稱, 客戶資料表.地址, 管銷費用
                ORDER BY   編號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績主表1()
        ConnOpen()
        SQL1 = "SELECT     LEFT(銷售控制表.單號, 2) AS 編號, QQ.姓名, SUM(銷售控制表.運費) AS 銷貨總額, SUM(銷售控制表.運費) AS 成本, SUM(銷售控制表.運費) AS 管銷, 
                           SUM(銷售控制表.運費) AS 運費, SUM(銷售控制表.運費) AS [稅額(2.5%)], SUM(銷售控制表.運費) AS [稅額(發票)], SUM(銷售控制表.運費) AS [其他(傭金)], 
                           SUM(銷售控制表.運費) AS [手續費(刷卡)], SUM(銷售控制表.運費) AS 毛利, SUM(銷售控制表.運費) AS 獎金
                FROM       銷售控制表 LEFT OUTER JOIN
                                (SELECT   舊編, 姓名
                                 FROM     人事資料表) AS QQ ON LEFT(銷售控制表.單號, 2) = QQ.舊編 LEFT OUTER JOIN
                           銷售明細表 ON 銷售控制表.單號 = 銷售明細表.單號 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND
                          (銷售控制表.轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                                       '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           LEFT(銷售控制表.單號, 2) LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   LEFT(銷售控制表.單號, 2), QQ.姓名
                ORDER BY   編號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績彙總1()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.單號, 銷貨總額, SUM(銷售明細表.成本 * 銷售明細表.數量) 
                           AS 成本, 銷售控制表.運費, 銷售控制表.稅金另扣 AS [稅金2.5%], 銷售控制表.稅金, 銷售控制表.刷卡費用, 管銷費用
                FROM       銷售控制表 LEFT OUTER JOIN
                           銷售明細表 ON 銷售控制表.單號 = 銷售明細表.單號 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND (銷售明細表.料號 NOT LIKE '1001%') AND
                          (銷售控制表.轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                                       '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           銷售控制表.單號 LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   銷售控制表.單號, 銷售控制表.運費, 銷售控制表.稅金, 銷售控制表.刷卡費用, 銷貨總額, 管銷費用, 銷售控制表.稅金另扣
                ORDER BY   銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績彙總2()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.單號, SUM(銷售衍生運費.支出) AS 衍生運費
                FROM       銷售控制表 INNER JOIN
                           銷售衍生運費 ON 銷售控制表.單號 = 銷售衍生運費.單號 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND
                          (轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                            '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           銷售控制表.單號 LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   銷售控制表.單號
                ORDER BY   銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績彙總3()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.單號, SUM(銷售備註表.支出 - 銷售備註表.收入) AS 其他支出
                FROM       銷售控制表 LEFT OUTER JOIN
                           銷售備註表 ON 銷售控制表.單號 = 銷售備註表.單號 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND (銷售備註表.支出 - 銷售備註表.收入 <> 0) AND 
                          (銷售備註表.備註 NOT LIKE '%外車%') AND (銷售備註表.備註 NOT LIKE '%車資%') AND (銷售備註表.備註 NOT LIKE '%運費%') AND
                          (轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                            '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           銷售控制表.單號 LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   銷售控制表.單號
                ORDER BY   銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績彙總4()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.單號, SUM(銷售明細表.售價 * 銷售明細表.數量) AS [外車_收], SUM(銷售明細表.成本 * 銷售明細表.數量) AS [外車_支]
                FROM       銷售控制表 LEFT OUTER JOIN
                           銷售明細表 ON 銷售控制表.單號 = 銷售明細表.單號 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND (銷售明細表.料號 LIKE '1003%')AND
                          (轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                            '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           銷售控制表.單號 LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   銷售控制表.單號, 銷售控制表.運費, 銷售控制表.稅金, 銷售明細表.成本, 銷售明細表.售價
                ORDER BY   銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績彙總5()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.單號, (SUM(銷售明細表.成本 * 銷售明細表.數量) - SUM(銷售明細表.售價 * 銷售明細表.數量)) AS [料號1_收支]
                FROM       銷售控制表 LEFT OUTER JOIN
                           銷售明細表 ON 銷售控制表.單號 = 銷售明細表.單號 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND (銷售明細表.料號 NOT LIKE '1003%') AND (銷售明細表.料號 LIKE '1001%') AND
                          (轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                            '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           銷售控制表.單號 LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   銷售控制表.單號, 銷售控制表.運費, 銷售控制表.稅金, 銷售明細表.成本, 銷售明細表.售價
                ORDER BY   銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績彙總6()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.單號, SUM(銷售備註表.支出 - 銷售備註表.收入) AS 備註車資
                FROM       銷售控制表 LEFT OUTER JOIN
                           銷售備註表 ON 銷售控制表.單號 = 銷售備註表.單號 LEFT OUTER JOIN
                           銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NOT NULL OR 銷售控制表.轉業績日期 NOT LIKE '') AND (銷售備註表.支出 - 銷售備註表.收入 <> 0) AND 
                          (銷售備註表.備註 LIKE '%外車%' OR 銷售備註表.備註 LIKE '%車資%' OR 銷售備註表.備註 LIKE '%運費%') AND
                          (轉業績日期 BETWEEN '" & Strings.Format(業績獎金彙總表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                            '" & Strings.Format(業績獎金彙總表.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           銷售控制表.單號 LIKE N'" & 業績獎金彙總表.業務_cb.Text & "%'
                GROUP BY   銷售控制表.單號
                ORDER BY   銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_獎金計算基礎()
        ConnOpen()
        SQL1 = "SELECT 獎金計算, 階級1, 比例1, 階級2, 比例2, 階級3, 比例3, 階級4, 比例4, 階級5, 比例5, 階級6, 比例6, 階級7, 比例7, 階級8, 比例8, 階級9, 比例9, 階級10, 比例10
                FROM   業績機算基礎"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_獎金計算基礎_刪除()
        ConnOpen()
        SQL1 = "DELETE 業績機算基礎 WHERE 獎金計算 LIKE N'" & PA & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_獎金計算基礎_修改()
        ConnOpen()
        SQL1 = "UPDATE 業績機算基礎 SET 階級1 = N'" & PA1 & "', 比例1 = N'" & PA11 & "', 階級2 = N'" & PA2 & "', 比例2 = N'" & PA12 & "', 階級3 = N'" & PA3 & "', 比例3 = N'" & PA13 & "', 
                                        階級4 = N'" & PA4 & "', 比例4 = N'" & PA14 & "', 階級5 = N'" & PA5 & "', 比例5 = N'" & PA15 & "', 階級6 = N'" & PA6 & "', 比例6 = N'" & PA16 & "', 
                                        階級7 = N'" & PA7 & "', 比例7 = N'" & PA17 & "', 階級8 = N'" & PA8 & "', 比例8 = N'" & PA18 & "', 階級9 = N'" & PA9 & "', 比例9 = N'" & PA19 & "', 
                                        階級10 = N'" & PA10 & "', 比例10 = N'" & PA20 & "' 
                WHERE 獎金計算 LIKE N'" & PA & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售控制表_獎金基礎修改()
        ConnOpen() : SQL1 = "UPDATE 銷售控制表 SET 獎金基礎 = N'" & PA & "' WHERE 獎金基礎 LIKE N'" & PA21 & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_獎金計算基礎_新增()
        ConnOpen()
        SQL1 = "INSERT INTO 業績機算基礎 (獎金計算, 階級1, 比例1, 階級2, 比例2, 階級3, 比例3, 階級4, 比例4, 階級5, 比例5, 階級6, 比例6, 階級7, 比例7, 階級8, 比例8, 階級9, 比例9, 階級10, 比例10) 
                VALUES (N'" & PA & "', N'" & PA1 & "', N'" & PA11 & "', N'" & PA2 & "', N'" & PA12 & "', N'" & PA3 & "', N'" & PA13 & "', N'" & PA4 & "', N'" & PA14 & "', N'" & PA5 & "', N'" & PA15 & "', 
                        N'" & PA6 & "', N'" & PA16 & "', N'" & PA7 & "', N'" & PA17 & "', N'" & PA8 & "', N'" & PA18 & "', N'" & PA9 & "', N'" & PA19 & "', N'" & PA10 & "', N'" & PA20 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_獎金計算基礎_查詢()
        ConnOpen() : SQL1 = "SELECT 獎金計算 FROM 業績機算基礎 WHERE 獎金計算 LIKE N'" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售控制表_查詢()
        ConnOpen() : SQL1 = "SELECT 獎金基礎 FROM 銷售控制表 WHERE 獎金基礎 LIKE N'" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售控制表_空值修正1()
        ConnOpen() : SQL1 = "UPDATE 銷售控制表 SET 獎金基礎 = N'' WHERE 獎金基礎 IS NULL" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售控制表_空值修正2()
        ConnOpen() : SQL1 = "UPDATE 銷售控制表 SET 轉業績日期 = N'' WHERE 轉業績日期 IS NULL" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業績運費計算_查詢()
        ConnOpen()
        SQL1 = "SELECT 扣運費, 已出未收, 代運費 FROM 業績運費計算 WHERE 日期區間 LIKE N'" & 業績獎金彙總表.開始日期_dtp.Value & "-" & 業績獎金彙總表.結束日期_dtp.Value & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業績運費計算_新增()
        ConnOpen()
        SQL1 = "INSERT INTO 業績運費計算 (日期區間, 扣運費, 已出未收, 代運費) 
                VALUES (N'" & 業績獎金彙總表.開始日期_dtp.Value & "-" & 業績獎金彙總表.結束日期_dtp.Value & "', 
                        N'" & 業績獎金彙總表.NUD2.Value & "', N'" & 業績獎金彙總表.NUD3.Value & "', N'" & 業績獎金彙總表.NUD4.Value & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業績運費計算_修正()
        ConnOpen()
        SQL1 = "UPDATE 業績運費計算 SET 扣運費 = N'" & 業績獎金彙總表.NUD2.Value & "', 已出未收 = N'" & 業績獎金彙總表.NUD3.Value & "', 代運費 = N'" & 業績獎金彙總表.NUD4.Value & "' 
                WHERE 日期區間 LIKE N'" & 業績獎金彙總表.開始日期_dtp.Value & "-" & 業績獎金彙總表.結束日期_dtp.Value & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業績完單1()
        ConnOpen()
        SQL1 = "SELECT      銷售控制表.單號, SUM(銷售明細表.售價 * 銷售明細表.數量) AS 銷貨總額, SUM(銷售明細表.成本 * 銷售明細表.數量) 
                            AS 成本, 銷售控制表.運費, 銷售控制表.稅金, 銷售控制表.刷卡費用, 銷售控制表.轉業績日期, 銷售控制表.獎金基礎, 
                            客戶資料表.名稱, 客戶資料表.地址, 銷售控制表.開單日期, 銷售控制表.交貨日期
                FROM        銷售控制表 INNER JOIN
                            客戶資料表 ON 銷售控制表.客戶編號 = 客戶資料表.舊編 LEFT OUTER JOIN
                            銷售明細表 ON 銷售控制表.單號 = 銷售明細表.單號 LEFT OUTER JOIN
                            銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE     (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                          (銷售控制表.轉業績日期 IS NULL OR 銷售控制表.轉業績日期 LIKE '') AND (銷售明細表.料號 NOT LIKE '1001%') AND 
                          (銷售控制表.單號 LIKE N'" & 業績結單控制表.查詢單號_tb.Text & "%')
                GROUP BY   銷售控制表.單號, 銷售控制表.運費, 銷售控制表.稅金, 銷售控制表.刷卡費用, 銷售控制表.轉業績日期, 
                           銷售控制表.獎金基礎, 客戶資料表.名稱, 客戶資料表.地址, 銷售控制表.開單日期, 銷售控制表.交貨日期
                ORDER BY   銷售控制表.交貨日期 DESC, 銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績完單2()
        ConnOpen()
        SQL1 = "SELECT      銷售控制表.單號, SUM(銷售明細表.售價 * 銷售明細表.數量) AS 銷貨總額, SUM(銷售明細表.成本 * 銷售明細表.數量) 
                            AS 成本, 銷售控制表.運費, 銷售控制表.稅金, 銷售控制表.刷卡費用, 銷售控制表.轉業績日期, 銷售控制表.獎金基礎, 
                            客戶資料表.名稱, 客戶資料表.地址, 銷售控制表.開單日期, 銷售控制表.交貨日期
                FROM        銷售控制表 INNER JOIN
                            客戶資料表 ON 銷售控制表.客戶編號 = 客戶資料表.舊編 LEFT OUTER JOIN
                            銷售明細表 ON 銷售控制表.單號 = 銷售明細表.單號 LEFT OUTER JOIN
                            銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE      (銷售控制表.已出貨 = 1) AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 = 0) AND 
                            銷售控制表.轉業績日期 IS NOT NULL AND 銷售控制表.轉業績日期 NOT LIKE '' AND (銷售明細表.料號 NOT LIKE '1001%') AND 
                           (銷售控制表.單號 LIKE N'" & 業績結單控制表.查詢單號_tb.Text & "%')
                GROUP BY    銷售控制表.單號, 銷售控制表.運費, 銷售控制表.稅金, 銷售控制表.刷卡費用, 銷售控制表.轉業績日期, 
                            銷售控制表.獎金基礎, 客戶資料表.名稱, 客戶資料表.地址, 銷售控制表.開單日期, 銷售控制表.交貨日期
                ORDER BY    銷售控制表.轉業績日期 DESC, 銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績完單3()
        ConnOpen()
        SQL1 = "SELECT      銷售控制表.單號, SUM(銷售明細表.售價 * 銷售明細表.數量) AS 銷貨總額, SUM(銷售明細表.成本 * 銷售明細表.數量) 
                            AS 成本, 銷售控制表.運費, 銷售控制表.稅金, 銷售控制表.刷卡費用, 銷售控制表.轉業績日期, 銷售控制表.獎金基礎, 
                            客戶資料表.名稱, 客戶資料表.地址, 銷售控制表.開單日期, 銷售控制表.交貨日期
                FROM        銷售控制表 INNER JOIN
                            客戶資料表 ON 銷售控制表.客戶編號 = 客戶資料表.舊編 LEFT OUTER JOIN
                            銷售明細表 ON 銷售控制表.單號 = 銷售明細表.單號 LEFT OUTER JOIN
                            銷售收款事項 ON 銷售控制表.單號 = 銷售收款事項.單號
                WHERE      (銷售控制表.單號 LIKE N'" & 業績結單控制表.查詢單號_tb.Text & "%') AND (銷售收款事項.內容 = N'未收餘額') AND (銷售收款事項.金額 <> 0) AND 
                           (銷售控制表.轉業績日期 IS NULL OR
                            銷售控制表.轉業績日期 LIKE '') AND (銷售明細表.料號 NOT LIKE '1001%') OR
                           (銷售控制表.單號 LIKE N'" & 業績結單控制表.查詢單號_tb.Text & "%') AND (銷售收款事項.內容 = N'未收餘額') AND 
                           (銷售控制表.轉業績日期 IS NULL OR
                            銷售控制表.轉業績日期 LIKE '') AND (銷售明細表.料號 NOT LIKE '1001%') AND (銷售控制表.已出貨 = 0 OR
                            銷售控制表.已出貨 IS NULL)
                GROUP BY    銷售控制表.單號, 銷售控制表.運費, 銷售控制表.稅金, 銷售控制表.刷卡費用, 銷售控制表.轉業績日期, 
                            銷售控制表.獎金基礎, 客戶資料表.名稱, 客戶資料表.地址, 銷售控制表.開單日期, 銷售控制表.交貨日期
                ORDER BY    銷售控制表.交貨日期 DESC, 銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_獎金基礎下拉()
        ConnOpen() : SQL1 = "SELECT 獎金計算 FROM 業績機算基礎 ORDER BY 獎金計算" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業績完單_修正()
        ConnOpen()
        SQL1 = "UPDATE 銷售控制表 SET 轉業績日期 = N'" & 業績結單控制表.開始日期_dtp.Text & "', 獎金基礎 = N'" & 業績結單控制表.獎金基礎_ch.Text & "' 
                WHERE 單號 LIKE N'" & 業績結單控制表.業務單號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業績完單_修正退回()
        ConnOpen()
        SQL1 = "UPDATE 銷售控制表 SET 轉業績日期 = N'', 獎金基礎 = N'' 
                WHERE 單號 LIKE N'" & 業績結單控制表.業務單號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業績運費1()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.轉業績日期 AS 完單日期, 銷售控制表.單號, 客戶資料表.名稱, 銷售控制表.運費, 銷售控制表.已付運費, 
                           銷售控制表.運費已付 AS 付清, 銷售控制表.運費已付, 客戶資料表.地址, 銷售控制表.合載 AS 備註, 運費付款, 
                           QQ.支出 AS 衍伸運費, 銷售控制表.銷貨總額 - 銷售控制表.稅金 - 銷售控制表.刷卡費用 AS 銷售小計
                FROM       銷售控制表 LEFT OUTER JOIN
                           (SELECT      單號, SUM(支出) AS 支出
                            FROM        銷售衍生運費
                            GROUP BY    單號) AS QQ ON 銷售控制表.單號 = QQ.單號 LEFT OUTER JOIN
                           客戶資料表 ON 銷售控制表.客戶編號 = 客戶資料表.舊編
                WHERE     (銷售控制表.轉業績日期 NOT LIKE '' OR 銷售控制表.轉業績日期 IS NOT NULL) AND 
                          (銷售控制表.轉業績日期 BETWEEN '" & Strings.Format(業績運費明細表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                                         '" & Strings.Format(業績運費明細表.結束日期_dtp.Value, "yyyy/MM/dd") & "')
                ORDER BY   完單日期, 銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績運費2()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.轉業績日期 AS 完單日期, 銷售控制表.單號, 客戶資料表.名稱, 銷售控制表.運費, 銷售控制表.已付運費, 
                           銷售控制表.運費已付 AS 付清, 銷售控制表.運費已付, 客戶資料表.地址, 銷售控制表.合載 AS 備註, 運費付款, 
                           QQ.支出 AS 衍伸運費, 銷售控制表.銷貨總額 - 銷售控制表.稅金 - 銷售控制表.刷卡費用 AS 銷售小計
                FROM       銷售控制表 LEFT OUTER JOIN
                          (SELECT      單號, SUM(支出) AS 支出
                           FROM        銷售衍生運費
                           GROUP BY    單號) AS QQ ON 銷售控制表.單號 = QQ.單號 LEFT OUTER JOIN
                           客戶資料表 ON 銷售控制表.客戶編號 = 客戶資料表.舊編
                WHERE     (銷售控制表.轉業績日期 LIKE '' OR 銷售控制表.轉業績日期 IS NULL)
                ORDER BY   完單日期, 銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績運費3()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.轉業績日期 AS 完單日期, 銷售控制表.單號, 客戶資料表.名稱, 銷售控制表.運費, 銷售控制表.已付運費, 
                           銷售控制表.運費已付 AS 付清, 銷售控制表.運費已付, 客戶資料表.地址, 銷售控制表.合載 AS 備註, 運費付款, 
                           QQ.支出 AS 衍伸運費, 銷售控制表.銷貨總額 - 銷售控制表.稅金 - 銷售控制表.刷卡費用 AS 銷售小計
                FROM       銷售控制表 LEFT OUTER JOIN
                          (SELECT      單號, SUM(支出) AS 支出
                           FROM        銷售衍生運費
                           GROUP BY    單號) AS QQ ON 銷售控制表.單號 = QQ.單號 LEFT OUTER JOIN
                           客戶資料表 ON 銷售控制表.客戶編號 = 客戶資料表.舊編
                WHERE     (銷售控制表.運費付款 NOT LIKE '' OR 銷售控制表.運費付款 IS NOT NULL) AND 
                          (銷售控制表.運費付款 BETWEEN '" & Strings.Format(業績運費明細表.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND 
                                                         '" & Strings.Format(業績運費明細表.結束日期_dtp.Value, "yyyy/MM/dd") & "')
                ORDER BY   完單日期, 銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績運費4()
        ConnOpen()
        SQL1 = "SELECT     銷售控制表.轉業績日期 AS 完單日期, 銷售控制表.單號, 客戶資料表.名稱, 銷售控制表.運費, 銷售控制表.已付運費, 
                           銷售控制表.運費已付 AS 付清, 銷售控制表.運費已付, 客戶資料表.地址, 銷售控制表.合載 AS 備註, 運費付款, 
                           QQ.支出 AS 衍伸運費, 銷售控制表.銷貨總額 - 銷售控制表.稅金 - 銷售控制表.刷卡費用 AS 銷售小計
                FROM       銷售控制表 LEFT OUTER JOIN
                          (SELECT      單號, SUM(支出) AS 支出
                           FROM        銷售衍生運費
                           GROUP BY    單號) AS QQ ON 銷售控制表.單號 = QQ.單號 LEFT OUTER JOIN
                           客戶資料表 ON 銷售控制表.客戶編號 = 客戶資料表.舊編
                WHERE     (銷售控制表.轉業績日期  LIKE '' OR 銷售控制表.轉業績日期 IS  NULL) AND (銷售控制表.運費付款 LIKE '' OR 銷售控制表.運費付款 IS  NULL)  
                ORDER BY   完單日期, 銷售控制表.單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業績運費_修正()
        ConnOpen()
        SQL1 = "UPDATE 銷售控制表 SET 運費已付 = N'" & PA1 & "', 合載 = N'" & PA2 & "', 運費付款 = N'" & PA3 & "',  已付運費 = N'" & PA4 & "'
                WHERE  單號 LIKE N'" & PA & "'"
        CmdSet_For_dr()
    End Sub
End Module
